Change log for apper package in Debian

124 of 24 results
Published in buster-release on 2017-07-17
Published in stretch-release on 2017-01-30
Published in sid-release on 2017-01-20
apper (0.9.2+git20161222-3) unstable; urgency=medium

  * Enable AppStream icon download explicitly
  * Don't install the updater Plasmoid (Closes: #851117)
    - The updater Plasmoid is currently broken and will need some
      work to be revived. We can not ship with it for Debian Stretch.
      Having two default-enabled updater icons also is very confusing
      to users, so if the updater gets ported to recent QtQuick and
      received upstream fixes, we can bring it back as separate package.

 -- Matthias Klumpp <email address hidden>  Thu, 19 Jan 2017 20:45:22 +0100
Superseded in stretch-release on 2017-01-30
Superseded in sid-release on 2017-01-20
apper (0.9.2+git20161222-2) unstable; urgency=medium

  * Hack around rpath oddness (Closes: #849956)
  * apper-icon.patch: Set the right icon for Apper

 -- Matthias Klumpp <email address hidden>  Sun, 08 Jan 2017 18:24:12 +0100
Superseded in stretch-release on 2017-01-19
Superseded in sid-release on 2017-01-08
apper (0.9.2+git20161222-1) unstable; urgency=medium

  * New upstream Git snapshot: 0.9.2+git20161222
    - The package is brought back to unstable due to a lot of
      users requesting it, but since it is essentially dead upstream
      and I do not know how well it works for most users,
      I will drop it from the Debian Stretch release if it is found to
      be unfit and issues can not be fixed in time.
      Any help (patches! - and testing) is appreciated.
  * Use secure Vcs-* URLs
  * Bump dh compat level to 10
  * Drop manual debug package in favor of automatic dbgsym packages

 -- Matthias Klumpp <email address hidden>  Thu, 22 Dec 2016 20:54:58 +0100
Deleted in experimental-release (Reason: None provided.)
apper (0.9.2+git20150930-1) experimental; urgency=medium

  * New upstream Git snapshot: 0.9.2+git20150930 (e0bf3649)
  * Drop patches: Applied upstream

 -- Matthias Klumpp <email address hidden>  Wed, 30 Sep 2015 19:14:45 +0200
Deleted in stretch-release (Reason: None provided.)
Deleted in sid-release (Reason: None provided.)
apper (0.9.2-3) unstable; urgency=medium

  * Build-depend on libdebconf-kde0-dev
  * Depend on appstream instead of appstream-index

 -- Matthias Klumpp <email address hidden>  Wed, 26 Aug 2015 18:15:32 +0200
Superseded in stretch-release on 2015-09-01
Superseded in sid-release on 2015-08-27
apper (0.9.2-2.1) UNRELEASED; urgency=medium

  * Non-maintainer upload.
  * Change build depends to libdebconf-kde0-dev.

 -- Maximiliano Curia <email address hidden>  Mon, 13 Jul 2015 11:20:01 +0200
Superseded in stretch-release on 2015-07-26
Superseded in sid-release on 2015-08-27
apper (0.9.2-2) unstable; urgency=medium

  * Upload to unstable

 -- Matthias Klumpp <email address hidden>  Sun, 21 Jun 2015 14:58:20 +0200
Deleted in experimental-release (Reason: None provided.)
apper (0.9.2-1) experimental; urgency=medium

  * New upstream release: 0.9.2
  * Drop all patches: Applied upstream
  * Fix compiler warning
  * Only depend on Limba on linux-any

 -- Matthias Klumpp <email address hidden>  Sun, 26 Apr 2015 16:08:38 +0200
Superseded in stretch-release on 2015-06-29
Published in jessie-release on 2014-11-03
Superseded in sid-release on 2015-07-27
apper (0.9.1-2) unstable; urgency=medium


  * Bump standards version: No changes needed
  * Add patch to register QPK metatypes for the Plasmoid (Closes: #766432)

 -- Matthias Klumpp <email address hidden>  Thu, 23 Oct 2014 19:58:48 +0200
Superseded in jessie-release on 2014-11-03
Superseded in sid-release on 2014-10-24
apper (0.9.1-1) unstable; urgency=medium


  * Upload to unstable
  * New upstream release: 0.9.1
  * Drop all patches: Applied upstream

 -- Matthias Klumpp <email address hidden>  Mon, 08 Sep 2014 20:46:32 +0200
Superseded in jessie-release on 2014-09-14
Superseded in sid-release on 2014-09-09
apper (0.8.2-3) unstable; urgency=medium


  * Add patch to compile against AppStream 0.7

 -- Matthias Klumpp <email address hidden>  Thu, 17 Jul 2014 14:12:08 +0200

Available diffs

Superseded in jessie-release on 2014-07-26
Superseded in sid-release on 2014-07-17
apper (0.8.2-2) unstable; urgency=high


  * No-change upload to trigger a rebuild (Closes: #746702)
    - Previous builds partially failed due to #743087

 -- Matthias Klumpp <email address hidden>  Sat, 03 May 2014 14:40:56 +0200

Available diffs

Superseded in sid-release on 2014-05-04
apper (0.8.2-1) unstable; urgency=low


  * New upstream bugfix release: 0.8.2
  * Update debian/watch file
  * Drop all patches: Applied upstream
  * Build with autoremove enabled
  * Bump standards version: No changes needed

 -- Matthias Klumpp <email address hidden>  Sun, 20 Apr 2014 14:42:30 +0200

Available diffs

Superseded in sid-release on 2014-05-08
apper (0.8.1-2) unstable; urgency=low


  * appstream-0.6.patch: Add support for AppStream 0.6

 -- Matthias Klumpp <email address hidden>  Wed, 16 Apr 2014 21:38:12 +0200
Superseded in jessie-release on 2014-05-06
Superseded in sid-release on 2014-05-04
apper (0.8.1-1) unstable; urgency=low


  * New upstream release: 0.8.1
  * Depend on software-properties-kde instead of suggesting it (Closes: #696583)
  * Add patch to make AppStream loading more failsafe

 -- Matthias Klumpp <email address hidden>  Tue, 30 Jul 2013 12:34:46 +0200

Available diffs

Superseded in jessie-release on 2013-08-26
Superseded in sid-release on 2013-08-01
apper (0.8.0-2) unstable; urgency=low


  * Upload to unstable (Closes: #696585, #697996, #708090)
  * Add patch to compile against new QPK API

 -- Matthias Klumpp <email address hidden>  Mon, 24 Jun 2013 14:32:36 +0200
Deleted in experimental-release (Reason: None provided.)
apper (0.8.0-1) experimental; urgency=low


  * New upstream release: 0.8.0
  * Merge apper-appsetup package with main package
  * Update package description
  * Change mail to my Debian address
  * Update dependency on PackageKit

 -- Matthias Klumpp <email address hidden>  Sun, 14 Apr 2013 14:46:46 +0100
Superseded in jessie-release on 2013-07-11
Published in wheezy-release on 2012-11-24
Superseded in sid-release on 2013-07-01
apper (0.7.2-5) unstable; urgency=low


  * Make Apper listen to restart-requests of other Apt tools too

 -- Matthias Klumpp <email address hidden>  Wed, 07 Nov 2012 16:31:13 +0100

Available diffs

Superseded in wheezy-release on 2012-11-24
Superseded in sid-release on 2012-11-23
apper (0.7.2-4) unstable; urgency=low


  * Suggest appsetup-support, it's only a tech-preview for Wheezy
  * Enable resource conserving (bug fixed in kdelibs)

 -- Matthias Klumpp <email address hidden>  Tue, 26 Jun 2012 16:31:21 +0200
Superseded in wheezy-release on 2012-07-07
Superseded in sid-release on 2012-06-29
apper (0.7.2-3) unstable; urgency=low


  * Make transition to apper-data really work (Closes: #675538)
  * Remove lintian override: Lintian is fixed now
  * Rebuild on i386 because of temporary build-issue

 -- Matthias Klumpp <email address hidden>  Thu, 07 Jun 2012 00:30:10 +0200

Available diffs

Superseded in sid-release on 2012-06-10
apper (0.7.2-2) unstable; urgency=low


  * Make apper-data break old apper package (Closes: #675538)

 -- Matthias Klumpp <email address hidden>  Sun, 03 Jun 2012 15:55:27 +0200
Superseded in sid-release on 2012-06-07
apper (0.7.2-1) unstable; urgency=low


  * New upstream release: 0.7.2
    - Automatic Refresh Cache properly fixed
    - Initial Listaller support (optional)
    - Supported filter added (depends on the backend)
    - KDED plugin runs on a separate thread to avoid
       desktop freezes
    - Fixed updating packages that were on untrusted repos
    - Fresh manual pages (thanks to Matthias)
    - Many other bug- and Krazy fixes
  * Updated debian/copyright
  * Switch to compat-level 9
  * Updated watch file
  * Split out arch-indep apper-data package
  * Add apper-appsetup package for Listaller modules
  * Remove old replacement for KPackageKit: No longer required
  * Removed manpages: Pages are upstream now
  * Override lintian false-positive about icon-sizes
  * Allow DM upload

 -- Matthias Klumpp <email address hidden>  Tue, 22 May 2012 10:45:24 +0200
Superseded in wheezy-release on 2012-06-21
Superseded in sid-release on 2012-06-07
apper (0.7.1-1) unstable; urgency=low


  * Break the old kpackagekit package on Ubuntu
  * Depend on a PolKit agent (Closes: #658934)
  * New upstream bugfix release: 0.7.1
  * Added debian/watch file
  * Bump standards version to 3.9.3 (no change required)
  * Allow using aptd instead of PK

 -- Matthias Klumpp <email address hidden>  Fri, 24 Feb 2012 14:46:14 +0100
Superseded in wheezy-release on 2012-03-18
Superseded in sid-release on 2012-03-13
apper (0.7.0-1) unstable; urgency=low


  * Initial release (Closes: #604391)

 -- Matthias Klumpp <email address hidden>  Thu, 06 Oct 2011 17:54:49 +0200
124 of 24 results